/* ***************************************************************************
   *                                                                         *
   *   Kindermann                        Wahlpflichtkurs Produktentwicklung  *
   *                                     Schuljahr: 2016-17                  *
   *                                                                         *
   *                             AVR-Flashtool 2.0                           *
   *                                                                         *
   *                         (Crossplattform-Version)                        *
   *                                                                         *
   ***************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#include "cpage.h"
#include "communicate.h"

class CFlashmem {
 public:
  CFlashmem(unsigned int pagesize, Communicate* comm);
  ~CFlashmem();
  CPage* getPageToAddress(unsigned int nAddress);
  void insertData(unsigned int nAddress, unsigned char bData);
  void display(Communicate* comm);
  void readFromIHEX(char* filename, Communicate* comm);
  CPage * getFirstpage();
  unsigned int m_nPagecount;
  unsigned int error;

 protected:
  unsigned int m_nPagesize;
  CPage* m_pFirstpage;
  CPage* m_pLastpage;
};
