/* ***************************************************************************
   *                                                                         *
   *   Kindermann                        Wahlpflichtkurs Produktentwicklung  *
   *                                     Schuljahr: 2016-17                  *
   *                                                                         *
   *                             AVR-Flashtool 2.0                           *
   *                                                                         *
   *                         (Crossplattform-Version)                        *
   *                                                                         *
   ***************************************************************************/


#include "communicate.h"

#ifdef __WINDOWS__
Communicate::Communicate(const wxString& title)
       : wxFrame(NULL, wxID_ANY, title, wxDefaultPosition, wxSize(520, 430))
#endif

#ifdef __LINUX__
Communicate::Communicate(const wxString& title)
       : wxFrame(NULL, wxID_ANY, title, wxDefaultPosition, wxSize(655, 460))
#endif

{
  SetIcon(wxICON(icon));

  m_parent = new wxPanel(this, wxID_ANY);

  wxBoxSizer *hbox = new wxBoxSizer(wxHORIZONTAL);

  m_rp = new RightPanel(m_parent);

  hbox->Add(m_rp, 1, wxEXPAND | wxALL, 5);

  m_parent->SetSizer(hbox);

  int width = this->GetSize().GetWidth();
  int height = this->GetSize().GetHeight();
  this->SetMinSize(wxSize(width, height));
  this->SetMaxSize(wxSize(width, height));

  this->Centre();
}
